SUBROUTINE FIELD290
!use consts
use global
implicit none 
    
integer :: i,j
save

      DO 110 I=2,IMAX1
      DO 110 J=2,JMAX
  110 AREAR(I,J)=2.*PI*R(I)*(Z(J+1)-Z(J))
  
      DO 120 J=2,JMAX1
      DO 120 I=2,IMAX
  120 AREAZ(I,J)=PI*(R(I+1)**2-R(I)**2)
      GO TO 190


  190 CONTINUE

!********** FR = 1  INSIDE THE CALCULATION AREAS
!**********    = 0  OUTSIDE
      DO 200 J=1,JMAX1
      DO 200 I=1,IMAX1
  200 FR(I,J)=0.0
      DO 210 J=2,JMAX
      DO 210 I=2,IMAX
  210 FR(I,J)=1.0

!**********  GF = HEAT CONDUCTANCE * AREA ( W/(DEG C) )
  230 DO 235 J=2,JMAX1
      DO 235 I=2,IMAX
  235 GFZ(I,J)=AREAZ(I,J)/(FR(I,J-1)*(Z(J)-ZM(J-1))/RLAM(I,J-1) &
      +FR(I,J)*(ZM(J)-Z(J))/RLAM(I,J)+RISOZ(I,J))
  240 DO 245 I=2,IMAX1
      DO 245 J=2,JMAX
  245 GFR(I,J)=2.*PI*(Z(J+1)-Z(J))/(FR(I-1,J)*dLOG(R(I)/RM(I-1))/ &
      RLAM(I-1,J)+FR(I,J)*dLOG(RM(I)/R(I))/RLAM(I,J)+RISOR(I,J)/R(I))
      
      DO 280 J=2,JMAX
      GFR(2,J)=0.
      GFR(IMAX1,J)=0.
  280 CONTINUE
      DO 290 I=2,IMAX
      GFZ(I,JMAX1)=0.
  290 CONTINUE

!**********  CIN = 1/(CIN * VOLUME)  (DEG C/J)
      DO 320 J=2,JMAX
      DO 320 I=2,IMAX
  320 CIN(I,J)=1./(CIN(I,J)*PI*(R(I+1)**2-R(I)**2)*(Z(J+1)-Z(J)))



RETURN
END subroutine field290